# Functor BatNumber.MakeRefOps

    module MakeRefOps: functor (Base : NUMERIC_BASE) -> RefOps  with type bat__refops_t = Base.t

Automated definition of reference operators for a given numeric type

Parameters: |
`Base` | : | `NUMERIC_BASE`

    type bat__refops_t

    val (+=) : bat__refops_t Pervasives.ref ->
           bat__refops_t -> unit

    val (-=) : bat__refops_t Pervasives.ref ->
           bat__refops_t -> unit

    val ( *= ) : bat__refops_t Pervasives.ref ->
           bat__refops_t -> unit

    val (/=) : bat__refops_t Pervasives.ref ->
           bat__refops_t -> unit